//***********************************************************************
//
//  FoneList.h
//
//***********************************************************************

class CNumEdit : public CEdit
{
protected:
    afx_msg void OnChar (UINT, UINT, UINT);
    DECLARE_MESSAGE_MAP ()
};

class CFoneListBox : public CListBox
{
private:
    CFont m_font;

public:
    virtual BOOL PreCreateWindow (CREATESTRUCT&);
    void PromptForNewEntry ();

protected:
    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnEditItem ();

    DECLARE_MESSAGE_MAP ()
};

class CMyApp : public CWinApp
{
public:
    virtual BOOL InitInstance ();
};

class CMainWindow : public CFrameWnd
{
private:
    CFoneListBox m_ctlListBox;

public:
    CMainWindow ();

protected:
    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnSize (UINT, int, int);
    afx_msg void OnOptionsNew ();
    afx_msg void OnOptionsExit ();

    DECLARE_MESSAGE_MAP ()
};

class CEditDialog : public CDialog
{
public:
    CString m_strName;
    CString m_strPhone;

    CBitmapButton m_ctlOKButton;
    CBitmapButton m_ctlCancelButton;
    CNumEdit m_ctlPhone;

    CEditDialog (CWnd* pParentWnd = NULL) :
        CDialog (IDD_EDITDLG, pParentWnd) {}

    virtual BOOL OnInitDialog ();

protected:
    virtual void DoDataExchange (CDataExchange*);
    afx_msg void OnUpdateOKButton ();

    DECLARE_MESSAGE_MAP ()
};
